PHP-инклюдинг в WB News

Дата публикации:
10.02.2009
Дата изменения:
10.02.2009
Всего просмотров:
2447
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WB News 2.x
Уязвимые версии: WB News 2.0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "config[installdir]" в сценариях search.php, archive.php, comments.php, news.php, base/News.php, base/SendFriend.php, base/Archive.php, base/Comments.php и admin/global.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/admin/global.php?config[installdir]=[file]

URL производителя: www.webmobo.com

Решение: Установите последнюю версию 2.1.2 с сайта производителя.

Ссылки: http://www.webmobo.com/downloads/changelog

или введите имя

CAPTCHA